### Method

# Ide EditorSearch get_reverse

#### Declaration

    gboolean
    ide_editor_search_get_reverse (
      IdeEditorSearch* self
    )

#### Description

Checks if search movements should be reversed for relative movements such as `IDE_EDITOR_SEARCH_NEXT` and `IDE_EDITOR_SEARCH_PREVIOUS`.

This might be used when performing searches such as vim’s # or * search operators. After that movements like n or N need to swap directions.

Available since: | 3.32

Gets property | `Ide.EditorSearch:reverse`

#### Return value

Returns: | `gboolean`
| `TRUE` if relative movements are reversed directions.